--                              -*- Mode: Ada -*-
-- Filename        : flex_driver.ads
-- Description     : Bidirectional driver between Linux and the flex controller
-- Author          : Christfried Webers
-- Created On      : Fri Oct 22 12:19:17 1999
-- Last Modified By: .
-- Last Modified On: .
-- Update Count    : 0
-- Status          : Experimental
-------------------------------------------------------------------------------
---
with Flex_Common; use Flex_Common;

package Flex_Driver is

   protected SerialPort is
      procedure Init;
      procedure Shutdown;
   private
      NumberOfClients : Integer := 0;
   end SerialPort;

   task WriteTask is
      entry Start;
      entry TerminateTask;

      entry SendPacket (Packet : ByteArray; PacketType : SendPacketType);
      entry Acknowledge (AckPacketType : SendPacketType);

      entry WaitForLinMotorCommandAck;
      entry WaitForAngMotorCommandAck;
   end WriteTask;

end Flex_Driver;
