--                              -*- Mode: Ada -*-
-- Filename        : Metrics.ads
-- Description     : Metric type definitions
-- Author          : Uwe R. Zimmer
-- Created On      : Wed Aug 20 16:59:07 1997
-- Last Modified By: Christfried Webers
-- Last Modified On: Mon Nov 15 1999
-- Update Count    : 0
-- Status          : Unknown, Use with caution!

package Metrics is

   type mm is new Long_Integer range -100_000_000 .. +100_000_000;
   type m is new Float;
   type Degrees is new Float range -360.0 .. +360.0;

   type LinVel is new Float; -- in m/s
   type AngVel is new Float; -- in Degrees/s

   type LinAcc is new Float; -- in m/s^2
   type AngAcc is new Float; -- in degrees/s^2

   type LinTorque is new Float;
   type AngTorque is new Float;

   type TemperatureC is new Float; -- in Celsius

   type AccelG is new Float; -- in g
   type Speed_linear is new Float; -- in m/s
   type Speed_angular is new Float; -- in Degrees/s

end Metrics;
